Bug 1403490 - SELinux is preventing iw from 'bind' accesses on the netlink_generic_socket Unknown.
Summary: SELinux is preventing iw from 'bind' accesses on the netlink_generic_socket U...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fac997a8a430aef812dc8a2cc7e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-10 15:40 UTC by Jia Yuan Lo
Modified: 2017-01-11 07:24 UTC (History)
12 users (show)

Fixed In Version: selinux-policy-3.13.1-225.6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:24:27 UTC
Type: ---


Attachments (Terms of Use)

Description Jia Yuan Lo 2016-12-10 15:40:11 UTC
Description of problem:
Happened after 1st time install BOINC client and 1st time starting BOINC client service
SELinux is preventing iw from 'bind' accesses on the netlink_generic_socket Unknown.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that iw should be allowed bind access on the Unknown netlink_generic_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'iw' --raw | audit2allow -M my-iw
# semodule -X 300 -i my-iw.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:system_r:tlp_t:s0
Target Objects                Unknown [ netlink_generic_socket ]
Source                        iw
Source Path                   iw
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.1.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.8.12-300.fc25.x86_64 #1 SMP Fri
                              Dec 2 17:52:11 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-12-10 23:08:54 MYT
Last Seen                     2016-12-10 23:08:54 MYT
Local ID                      1fa3b788-0023-4333-aa39-e8b0587e4059

Raw Audit Messages
type=AVC msg=audit(1481382534.551:164): avc:  denied  { bind } for  pid=1103 comm="iw" scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:system_r:tlp_t:s0 tclass=netlink_generic_socket permissive=1


Hash: iw,tlp_t,tlp_t,netlink_generic_socket,bind

Version-Release number of selected component:
selinux-policy-3.13.1-225.1.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.12-300.fc25.x86_64
type:           libreport

Comment 1 Doaxan 2016-12-11 04:28:40 UTC
Description of problem:
After latest update, i get this after every reboot.

Version-Release number of selected component:
selinux-policy-3.13.1-225.1.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.12-300.fc25.x86_64
type:           libreport

Comment 2 Michał 2017-01-04 16:25:46 UTC
Description of problem:
Just booted up

Version-Release number of selected component:
selinux-policy-3.13.1-225.3.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.8.15-300.fc25.x86_64
type:           libreport

Comment 3 Fedora Update System 2017-01-08 22:23:24 UTC
selinux-policy-3.13.1-225.6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-66d634473a

Comment 4 Fedora Update System 2017-01-10 03:26:18 UTC
selinux-policy-3.13.1-225.6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-66d634473a

Comment 5 Fedora Update System 2017-01-11 07:24:27 UTC
selinux-policy-3.13.1-225.6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.